> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/java/dbaas-postgres/models/patchclusterproperties.md).

# PatchClusterProperties

Properties of the payload to change a cluster.

## Properties

| Name                  | Type                                                                            | Description                                                                   | Notes       |
| --------------------- | ------------------------------------------------------------------------------- | ----------------------------------------------------------------------------- | ----------- |
| **cores**             | **Integer**                                                                     | The number of CPU cores per instance.                                         | \[optional] |
| **ram**               | **Integer**                                                                     | The amount of memory per instance in megabytes. Has to be a multiple of 1024. | \[optional] |
| **storageSize**       | **Integer**                                                                     | The amount of storage per instance in megabytes.                              | \[optional] |
| **connections**       | [**List\<Connection>**](/cloud/java/dbaas-postgres/models/connection.md)        |                                                                               | \[optional] |
| **displayName**       | **String**                                                                      | The friendly name of your cluster.                                            | \[optional] |
| **maintenanceWindow** | [**MaintenanceWindow**](/cloud/java/dbaas-postgres/models/maintenancewindow.md) |                                                                               | \[optional] |
| **postgresVersion**   | **String**                                                                      | The PostgreSQL version of your cluster.                                       | \[optional] |
| **instances**         | **Integer**                                                                     | The total number of instances in the cluster (one master and n-1 standbys).   | \[optional] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/java/dbaas-postgres/models/patchclusterproperties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
